Security vulnerability for Owl Labs products- June 9

Thursday, June 9, 2022

What is happening? Owl Labs, the maker of the Meeting Owl Pro, announced several security vulnerabilities in their products.

What is the impact? Meeting Owl Pro's running a software version earlier than 5.4.1.4 have critical security vulnerabilities. 

What do users need to do? `

  • Update Meeting Owl Pro to software version 5.4.1.4 or newer.
    • If you require assistance updating your Meeting Owl Pro software please submit a ticket via the IST Jira Help Portal.
    • If you are unable to upgrade your Meeting Owl Pro software, the Meeting Owl Pro should be turned off for further use until a time when the software can be updated.
  • If you are using a Meeting Owl Pro keep up to date with news related to further security patches as the software update does not resolve all vulnerabilities. 
    • Devices are reasonably safe to use once the software update is completed. The remaining vulnerabilities are low risk and require physical proximity to the attacker.

Additional resources: 

Questions or concerns? Please submit a ticket via the IST Jira Help Portal. 

  1. 2022 (30)
    1. July (1)
    2. June (8)
    3. May (2)
    4. April (5)
    5. March (5)
    6. February (2)
    7. January (7)
  2. 2021 (89)
    1. December (6)
    2. November (6)
    3. October (6)
    4. September (14)
    5. August (5)
    6. July (6)
    7. June (4)
    8. May (7)
    9. April (9)
    10. March (10)
    11. February (8)
    12. January (8)
  3. 2020 (113)
    1. December (4)
    2. November (8)
    3. October (8)
    4. September (14)
    5. August (8)
    6. July (8)
    7. June (6)
    8. May (8)
    9. April (11)
    10. March (12)
    11. February (10)
    12. January (16)
  4. 2019 (123)
  5. 2018 (108)
  6. 2017 (110)
  7. 2016 (135)
  8. 2015 (203)
  9. 2014 (208)
  10. 2013 (95)
  11. 2012 (185)
  12. 2011 (120)
  13. 2010 (114)
  14. 2009 (233)
  15. 2008 (100)
  16. 2007 (2)